## glide mcp-0.1.2

=== requirements.txt ===
# Core dependencies - only what your code actually imports
black>=25.9.0
cerebras-cloud-sdk>=1.56.1
fastmcp>=2.12.5
helix-py>=0.2.30
numpy>=2.3.4
pytest>=8.4.2
pytest-asyncio>=1.2.0
python-dotenv>=1.1.1
