## glide 2001.01.26-1.1

=== debian/changelog ===
glide (2001.01.26-1.1) unstable; urgency=low

  * NMU with permission of Zephaniah E. Hull <warp@debian.org>.
  * Corrected the build dependencies. (closes: #88373)
  * Updated libtool in glide3x (to get the package building).

 -- Adrian Bunk <bunk@fs.tum.de>  Sun, 17 Jun 2001 23:20:42 +0200

glide (2001.01.26-1) unstable; urgency=high

  * Updated source.
  * Completely killed sst1 support, it has been broken too long.
    (closes: #79204, #74510)

 -- Zephaniah E. Hull <warp@debian.org>  Fri, 26 Jan 2001 07:16:01 -0500

glide (2000.11.02.06-1) unstable; urgency=low

  * Some rules cleanup.
  * sst1 works again! (closes: #74510, #74681)
  * Politely handle the case where someone might be compiling against
    glide, and thus will have the glide packages installed without 
    having a 3Dfx card in the system. (closes: #77381)
  * Noted that I seem to have fixed bugs in the past and not closed the
    reports. (closes: #70612, #70857)

 -- Zephaniah E. Hull <warp@debian.org>  Mon, 27 Nov 2000 06:49:32 -0500

glide (2000.11.02.06) unstable; urgency=low

  * And roughly five and a half hours later..
  * Updated the glide3x source, specificly fixing a bashism in 
    chores.3dfx, which I just commited to upstream CVS.
  * Fixed a bashism in debian/scripts/vars.build.
  * Thanks to Timshel Knoll for both patches.

 -- Zephaniah E. Hull <warp@debian.org>  Fri,  3 Nov 2000 06:30:56 -0500

glide (2000.11.02) unstable; urgency=low

  * The merge! We now have ONE source package!
  * Still trying to figure out how not to loose the glide3 changelog.

 -- Zephaniah E. Hull <warp@debian.org>  Fri,  3 Nov 2000 01:06:51 -0500

glide2 (2000.08.08.1) unstable; urgency=low

  * Now against X4.
  * Hopefully the next upload will have glide2 and glide3 merged source
    package wise.
  * No upstream source changes, mostly just a recompile, thus the 
    version.

 -- Zephaniah E. Hull <warp@debian.org>  Thu,  2 Nov 2000 04:50:02 -0500

glide2 (2000.08.08) unstable; urgency=low

  * New packaging setup! Now as a debian native package.
  * Many of my patches are now in the glide2 CVS tree.
  * Please not that sst1 /is/ broken at this time.
  * Sepirate tarballs for swlibs and glide2, yes, there is a reason.

 -- Zephaniah E. Hull <warp@debian.org>  Sun,  8 Oct 2000 06:13:41 -0400

glide2 (2.cvs.20000712-4) unstable; urgency=low

  * Killed the libglide.so symlink, per request.
  * Really truely fixed the debconf issues, joeyh fixed a bug in debconf
    so that things did not freeze solid in my perfectly valid case.

 -- Zephaniah E. Hull <warp@debian.org>  Wed, 20 Sep 2000 21:48:08 -0400

glide2 (2.cvs.20000712-3) unstable; urgency=low

  * Little fixes with debconf stuff.

 -- Zephaniah E. Hull <warp@debian.org>  Thu, 24 Aug 2000 05:23:08 -0400

glide2 (2.cvs.20000712-2) unstable; urgency=low

  * /All/ packages need to conflict with the old packages..
  * Default to the V3 lib if no voodoo cards exist.

 -- Zephaniah E. Hull <warp@debian.org>  Thu, 24 Aug 2000 04:11:43 -0400

glide2 (2.cvs.20000712-1) unstable; urgency=low

  * Completely repackaged all of glide2 from cvs.

 -- Zephaniah E. Hull <warp@debian.org>  Tue,  8 Aug 2000 04:12:51 -0400

Local variables:
mode: debian-changelog
End:
