## glide 2002.04.10ds1

=== debian/changelog ===
glide (2002.04.10ds1-7) unstable; urgency=low

  * Use “-fdollars-in-identifiers -x assembler-with-cpp” instead of “-$” to
    preprocess assembler code through gcc, the later just stopped working
    recently.

 -- Guillem Jover <guillem@debian.org>  Mon, 01 Aug 2011 05:13:22 +0200

glide (2002.04.10ds1-6) unstable; urgency=low

  * Add build-indep and build-arch targets (rename build to build-arch).
  * Update debconf template translations:
    - Danish. Thanks to Joe Dalton <joedalton2@yahoo.dk>. (Closes: #590001)
    - Dutch. Thanks to Jeroen Schot <schot@A-Eskwadraat.nl>. (Closes: #629391)
  * Now using Standards-Version 3.9.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sat, 30 Jul 2011 15:23:50 +0200

glide (2002.04.10ds1-5) unstable; urgency=low

  * Debconf template translations:
    - Update Vietnamese. (Closes: #548039)
      Thanks to Clytie Siddall <clytie@riverland.net.au>.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch target calls from debian/rules.
    - Remove now unneeded debian/README.source.
  * Remove duplicated source Section field from libglide2 and libglide3
    binary package stanzas.
  * Add md5sum control files to binary packages.
  * Now using Standards-Version 3.8.4 (no changes needed).
  * Switch libglide2-dev and libglide3-dev dependencies on libglide2 and
    libglide3 (respectively) to be strictly versioned. This was not done
    as historically the -dev packages were arch:all.
  * Add lintian overrides for “useless ldconfig calls”, as the symlink under
    /usr/lib to the actual backend only gets created at install time.

 -- Guillem Jover <guillem@debian.org>  Tue, 27 Apr 2010 02:11:41 +0200

glide (2002.04.10ds1-4) unstable; urgency=low

  * Debconf template translations:
    - Update Basque. (Closes: #530596)
      Thanks to Piarres Beobide <pi+debian@beobide.net>.
    - Update Spanish. (Closes: #532290)
      Thanks to Francisco Javier Cuadrado <fcocuadrado@gmail.com>.
    - Update Swedish. (Closes: #528573)
      Thanks to Martin Bagge <brother@bsnet.se>.
    - Update Finnish. (Closes: #533223)
      Thanks to Esko Arajärvi <edu@iki.fi>.
  * Unify debconf template translation headers.
  * Now using Standards-Version 3.8.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 10 Sep 2009 15:09:49 +0200

glide (2002.04.10ds1-3) unstable; urgency=low

  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Debconf templates and package descriptions reviewed by the
    debian-l10n-english team as part of the Smith review project.
    Thanks to Christian Perrier <bubulle@debian.org> for the coordination.
    (Closes: #524384)
  * Debconf template translations:
    - Update Czech. (Closes: #527376)
      Thanks to Michal Šimůnek <michal.simunek@gmail.com>.
    - Update French. (Closes: #527212)
      Thanks to Steve Petruzzello <dlist@bluewin.ch>.
    - Update Galician. (Closes: #527325)
      Thanks to Marce Villarino <mvillarino@gmail.com>.
    - Update German. (Closes: #527487)
      Thanks to Erik Schanze <schanzi_@gmx.de>.
    - Update Italian. (Closes: #526377)
      Thanks to Luca Monducci <luca.mo@tiscali.it>.
    - Update Japanese. (Closes: #525098)
      Thanks to Hideki Yamane <henrich@debian.or.jp>.
    - Update Portuguese. (Closes: #527324)
      Thanks to Américo Monteiro <a_monteiro@netcabo.pt>.
    - Update Russian. (Closes: #526755)
      Thanks to Sergey Alyoshin <alyoshin.s@gmail.com>.
  * Update debconf .po files from the .pot file.

 -- Guillem Jover <guillem@debian.org>  Sun, 10 May 2009 06:45:41 +0200

glide (2002.04.10ds1-2) unstable; urgency=low

  * Do not try to install glide2 libraries on non-i386.

 -- Guillem Jover <guillem@debian.org>  Tue, 24 Feb 2009 13:45:16 +0200

glide (2002.04.10ds1-1) unstable; urgency=low

  * Repackage upstream tarball to stop using tar-in-tar.
  * Demote glide2-bin from Recommends to Suggests in libglide2.
    (Closes: #504647)
  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Fix typo (llibglide → libglide) in libglide2-dev Conflicts field.
  * Refactor glide3 build code into a make define and use it for h3 and h5.
  * Switch from dbs to quilt:
    - Remove debian/vars.
    - Remove dbs and added quilt to Build-Depends.
    - Add new debian/patches/series file.
  * Update debian/rules for quilt:
    - Use CURDIR instead of SRC_DIR.
    - Include quilt.make.
    - Remove now unused debian/patch.mk.
    - Merge sys-clean into clean target.
    - Merge build.glide2.cvg and build.glide2.h3 into build.glide2.
    - Merge build.glide3.h3 and build.glide3.h5 into build.glide3.
    - Move swlibs symlinking into each build and clean target.
    - On clean patch and unpatch before the actual cleaning.
    - Remove now unused targets unpack and make-patch.
  * Refresh all patches with -pab.
  * Remove unused install.headers.glide2 target from debian/rules.
  * Merge all binary-<pkg> targets into binary-arch.
    - Add “-s” to debhelper commands.
    - Add “-Nglide2-bin -Nglide3-bin” to the general dh_shlibdeps call.
  * Use “#else” instead of “#elif”, fix a FTBFS with gcc-4.4. (Closes: #504838)
    Based on a patch by Martin Michlmayr <tbm@cyrius.com>.
  * Merge build.glide2 and build.glide3 into the build target.
  * Only clean glide2x directory on the same architectures where it's built.
  * Move file installation for glide2-bin, glide3-bin, libglide2-dev and
    libglide3-dev from debian/rules to .install files.
  * Move dh_strip after dh_link.
  * Install textures for test programs in glide2-bin.
  * Install additional test programs in glide2-bin.
  * Remove obsolete Conflicts, Provides and Replaces from binary packages.
  * Add missing ${misc:Depends} substvar to Depends fields.
  * Add a debian/README.source file.

