=== debian/control ===
Source: glide
Section: libs
Priority: optional
Build-Depends: debhelper (>= 7), autoconf, automake,
 libtool (>= 1.5), libx11-dev, libxext-dev, libxxf86dga-dev, libxxf86vm-dev
Build-Conflicts: automake1.4
Maintainer: Guillem Jover <guillem@debian.org>
Homepage: http://glide.sf.net/
Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/glide.git
Vcs-Git: git://git.hadrons.org/git/debian/pkgs/glide.git
Standards-Version: 3.9.2

Package: glide2-bin
Section: graphics
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: device3dfx-module, device3dfx-source
Description: graphics library for 3Dfx Voodoo based cards - support programs
 This is a support package which should be installed if you use a
 card based on 3dfx Interactive, Inc's Voodoo chipsets.

Package: libglide2
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, pciutils
Suggests: glide2-bin, device3dfx-module, device3dfx-source
Description: graphics library for 3Dfx Voodoo based cards - shared libraries
 This package allows you to use the 3D functions of cards based on
 3dfx Interactive, Inc's Voodoo 2 chipsets. You should install it if
 you use such a card.
 .
 This package is not useful with Voodoo Banshee, Voodoo 3,
 Voodoo 4, or Voodoo 5 cards, and the original Voodoo Graphics chipset
 is no longer supported.
 .
 You'll need the 3dfx kernel driver to use this library.

Package: libglide2-dev
Section: libdevel
Architecture: i386
Depends: libglide2 (= ${binary:Version}), ${misc:Depends}
Description: graphics library for 3Dfx Voodoo based cards - development files
 This package contains the header files, example programs, and
 documentation necessary to develop software using libglide2.

Package: libglide3
Architecture: i386 alpha ia64 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, pciutils
Description: graphics library for 3Dfx Voodoo based cards - shared libraries
 This package allows you to use the 3D functions of cards based on
 3dfx Interactive, Inc's Voodoo Banshee, Voodoo 3, Voodoo 4, and
 Voodoo 5 chipsets.
 You should install it if you use such a card.
 .
 This package does not need the 3dfx kernel driver, as it uses DRI instead.

Package: libglide3-dev
Section: libdevel
Architecture: i386 alpha ia64 amd64
Depends: libglide3 (= ${binary:Version}), ${misc:Depends}
Description: graphics library for 3Dfx Voodoo based cards - development files
 This package contains the header files, example programs, and
 documentation necessary to develop software using libglide3.
